import java.io.IOException;
import java.util.StringTokenizer;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;



public class Mapper1_jdwang 
	extends Mapper<Object, Text, Text, IntWritable>{

	private final static IntWritable one = new IntWritable(1);
	private Text word = new Text();

	public void map(Object key, Text value, Context context
             ) throws IOException, InterruptedException {
		// 25086856##2014-8-5##Identification and characterization of a novel splice-site mutation in the Wilson disease gene.##This study aimed to identify aberrant transcripts of the new splice-site mutation c.3244-2A&gt;C in the Wilson disease (WD) gene (ATPase, Cu++ transporting, beta polypeptide, ATP7B) and discuss its genotype and clinical phenotype. DNA and RNA were extracted from peripheral blood lymphocytes, amplified by polymerase chain reaction (PCR) and nested reverse transcription PCR (RT-nested PCR) to characterize the aberrant transcripts. RT-nested PCR product sequencing comparison showed that c.3244-2A&gt;C splice-site mutation caused aberrant transcripts and formatted a new splice acceptor. Patient carrying the splice-site mutation c.3244-2A&gt;C presented early onset age, severe clinical manifestations, and poor prognosis. WD patients with the splice-site mutation show severe clinical manifestations, indicating that aberrant transcripts have important implications for WD phenotype.
		// 25086856##2014-8-5##
		String line = value.toString();   
		String[] OneArticle = line.split("##");
		
		if (OneArticle.length >= 4) {
		
			String PubMedID = OneArticle[0];		
			String ArticleDate = OneArticle[1];		
			String Title = OneArticle[2];
			
			word.set(PubMedID);
			context.write(word, one);
		}
		/*
		StringTokenizer itr = new StringTokenizer(value.toString());
		while (itr.hasMoreTokens()) {
			word.set(itr.nextToken());
			context.write(word, one);
			//System.out.println("qiyadeng map message:"+word+"/"+one);
		}
		*/
	}
}

